Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Chatroom Allowlist

Query the allowlist of users for a specified chatroom.

Request Method

POST: https://data center domain/chatroom/user/whitelist/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rule. For details, see API Request Signature.

Body Parameters

The HTTP request body is formatted as application/x-www-form-urlencoded and supports the following HTTP form parameters:

ParameterTypeRequiredDescription
chatroomIdStringYesThe chatroom ID.

Request Example

POST /chatroom/user/whitelist/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

chatroomId=16

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 for success.
usersString[]Array of allowlisted users.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200,"users":["user1","user2"]}